Bug 127037 - Segmentation fault on x386_64 (opteron) up2date --register
Summary: Segmentation fault on x386_64 (opteron) up2date --register
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-30 21:53 UTC by Lucio DiGiovanni
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 15:52:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python script to grab raw dmi info (211 bytes, text/plain)
2004-07-16 18:57 UTC, Adrian Likins
no flags Details
the output file requested from "python get_dmi.py" script (128.00 KB, application/octet-stream)
2004-07-20 20:20 UTC, Lucio DiGiovanni
no flags Details

Description Lucio DiGiovanni 2004-06-30 21:53:06 UTC
up2date --register proceeds to the point after selecting: 
Red Hat Enterprise Linux AS (v. 3 for AMD64/Intel EM64T) 
At this point the up2date channels window closes and what appears in 
the xterm window is: 
Reading DMI info failed 
Segmentation fault 
If I repeat the up2date without the "--register" argument 
 I get the same "Segmentation fault" 
 without the previous line "Reading DMI info failed" 
 
up2date-4.2.5-1 
 How reproducible: Always 
Steps to Reproduce: 
1.up2date2.select package to install in new window - one item here: 
Red Hat Enterprise Linux AS (v. 3 for AMD64/Intel EM64T) 
 
Actual Results: 
  after some progress bar info the window closes 
 The original XTERM window shows "Segmentation fault"  
Expected Results: 
  The up2date window should complete without segmentation fault

Comment 1 Adrian Likins 2004-07-16 18:56:39 UTC
the dmi is segfaulting on the dmi info from that box. 
--nohardware is a workaround. 

I'm going to attach a python script to grab the dmi
info in a format I can use to debug the dmi module.

If you could run it on the box showing the segfault,
and attach the result, it will help debug this.



Comment 2 Adrian Likins 2004-07-16 18:57:56 UTC
Created attachment 101978 [details]
python script to grab raw dmi info

Run this script like:

python getdmi.py

run it as root. It should write out a file called "dmiinfo.out"

please attach "dmiinfo.out" to this bug.

Comment 3 Lucio DiGiovanni 2004-07-20 20:20:14 UTC
Created attachment 102080 [details]
the output file requested from "python get_dmi.py" script

Comment 5 Lucio DiGiovanni 2004-08-05 19:24:57 UTC
I updated to up2date version 4.2.33-1 and this problem was resolved 
 
 

Comment 6 Suzanne Hillman 2004-08-09 15:52:22 UTC
Closing as per comment #5.


Note You need to log in before you can comment on or make changes to this bug.